xmltooling 3.0.4

Public Member Functions | List of all members
xmltooling::Lockable Class Referenceabstract

Abstract mixin interface for interfaces that support locking. More...

`#include <xmltooling/Lockable.h>`

Inheritance diagram for xmltooling::Lockable:
[legend]

## Public Member Functions
virtual Lockable * | lock ()=0
| Lock the associated object for exclusive access. More...
virtual void | unlock ()=0
| Unlock the associated object from exclusive access. More...

## Detailed Description

Abstract mixin interface for interfaces that support locking.

## Member Function Documentation

## ◆ lock()

virtual Lockable * xmltooling::Lockable::lock | ( |  | ) |
| pure virtual

Lock the associated object for exclusive access.

Returns
  a pointer to the object being locked

Implemented in xmltooling::ReloadableXMLFile.

## ◆ unlock()

virtual void xmltooling::Lockable::unlock | ( |  | ) |
| pure virtual

Unlock the associated object from exclusive access.

Implemented in xmltooling::ReloadableXMLFile.

The documentation for this class was generated from the following file:

- xmltooling/Lockable.h